testing::internal::CodeLocation Struct Reference

`#include <gtest.h>`

## Public Member Functions

| CodeLocation (const std::string &a_file, int a_line)

## Public Attributes

std::string | file
int | line

## Detailed Description

Definition at line 6929 of file gtest.h.

## Constructor & Destructor Documentation

## CodeLocation()

testing::internal::CodeLocation::CodeLocation | ( | const std::string & | a_file,
|  | int | a_line
| ) |  |

inline

Definition at line 6930 of file gtest.h.

## Member Data Documentation

## file

std::string testing::internal::CodeLocation::file

Definition at line 6933 of file gtest.h.

## line

int testing::internal::CodeLocation::line

Definition at line 6934 of file gtest.h.

The documentation for this struct was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h